0
votes
1answer
256 views

Running dist-upgrade fails on installation of 'startpar'

I'm trying to run dist-upgrade on Debian 6 but it fails on installation of startpar with: dpkg: considering deconfiguration of sysvinit-utils, which would be broken by installation of startpar ... ...
0
votes
2answers
61 views

Debian squeezy dist-upgrade to wheeze (nothing up to date)

I operate 3 debian server (all server is Xen guest) with squeezy installed. Dist upgrade is needed because the old packages, 2 server is successfully upgraded but the last cannot be. In all server i ...
1
vote
2answers
1k views

dpkg: error processing linux-image-amd64

After running apt-get update apt-get upgrade apt-get dist-upgrade apt-get install -f dpkg --configure -a I get the following Error: dpkg --configure -a Setting up initramfs-tools (0.112) ...
2
votes
1answer
59 views

Detect Debian dist-upgrade versus clean build

I am looking at a Debian server that has version wheezy/sid. Is there a way I can tell if this server was upgraded from squeeze via dist-upgrade versus being built from scratch as a wheezy server?
1
vote
3answers
373 views

How to remotely upgrade a debian system?

I am running debian on a couple of servers that I control and would like to upgrade them remotely. I do not have access to the keyboard directly, as they are VPS machines in a different location. I ...
1
vote
1answer
92 views

Difference between package updates and release upgrades on Debian

I've been trying to decide on a new OS for my production machine, and I was wondering what the difference is between straight up upgrading packages and upgrading to a new release. If I install Debian ...
0
votes
1answer
145 views

best practice for debian distribution upgrade - what happens with the rest of the LAMP?

I am planning of upgrading the LAMP stack that I have. Debian Lenny 5.09 - current version is 6.0 Apache 2.2.9 - current 2.2.21 MySQL 5.0.51a - current 5.5.20 PHP 5.2.6 - current PHP 5.3.9 I am ...
0
votes
1answer
449 views

How to create backups when upgrading Debian?

I want to upgrade my Debian lenny to squeeze but as I'm doing it for the first time I was thinking how to create the backup mentioned in the release notes: The main things you'll want to back up ...
2
votes
2answers
1k views

dist-upgrade to squeeze wants to remove apt

why does dist-upgrade to squeeze want to remove apt and how can I fix it? $ sudo apt-get dist-upgrade Reading package lists... Done Building dependency tree Reading state information... Done ...
3
votes
1answer
212 views

debian: upgrade from etch to lenny fails

The error message is: error processing /var/cache/apt/archives/debianutils_2.30_i386.deb (--unpack): trying to overwrite `/usr/sbin/add-shell', which is also in package passwd How can I solve ...
0
votes
1answer
86 views

Finding documentation for /etc/**/*.dpkg-*

During upgrades, files with these extensions appear in /etc and its subdirectories. I gather that *.dpkg-dist contains the file that was distributed with the currently-installed version of a package, ...
0
votes
2answers
1k views

Problem when upgrading Debian from stable (lenny) to testing (squeeze)

I just got a VPS for private use, and wanted to upgrade it to Debian testing (squeeze) in order to have newer packages. The actual version was Debian stable (lenny). What I did is simply : edit ...
1
vote
2answers
273 views

debian 3.1 to 5

I am about to buy a VPS server but they preinstall debian 3.1 and it seem abit ancient version thus I need to upgrade to 5 version (lenny), is it easy to upgrade 3.1 to 5 via ssh ? If so what would be ...
2
votes
2answers
262 views

debian 3.1 can be upgraded to lenny?

yesterday I "inherited" an ancient debian 3.1 machine to which I am supposed to add a few functionalities (mail, among them) is there a safe way to upgrade it to a superior version ? if not, is there ...
1
vote
2answers
575 views

Repository bugzilla package changed to bugzilla3 in Lenny; upgradable?

This question was asked in debianhelp.org almost half a year ago, but never got an answer. I wasn't the one who posted it, however I was today facing exactly the same question. Not sure if copying it ...
22
votes
2answers
10k views

Can someone clarify Ubuntu (Debian) dist-upgrade for me?

I've got an Ubuntu 8.04 LTS server. There are several packages which are "kept back" ("the following updates have been kept back:") when I do an apt-get upgrade. It's my understanding that I can do ...